| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SEGY::DirectDef Class Reference
Seis

`#include <segydirectdef.h>`

## Public Member Functions
| DirectDef ()
| Create empty.
| DirectDef (const char *)
| Read from file.
| ~DirectDef ()
const PosInfo::CubeData & | cubeData () const
uiString | errMsg () const
const FileDataSet & | fileDataSet () const
StringView | fileName (int idx) const
FileDataSet::TrcIdx | find (const Seis::PosKey &, bool chkoffs) const
FileDataSet::TrcIdx | findOcc (const Seis::PosKey &, int occ) const
| will not look at offset
od_ostream * | getOutputStream ()
bool | isEmpty () const
const PosInfo::Line2DData & | lineData () const
IOObj::Status | objStatus () const
bool | readFromFile (const char *)
const IOPar * | segyPars () const
void | setData (FileDataSet &)
const TypeSet< float > & | spnrs () const
bool | writeFootersToFile ()
bool | writeHeadersToFile (const char *)

## Static Public Member Functions
static const char * | get2DFileName (const char *, const char *)
static const char * | get2DFileName (const char *, Pos::GeomID)
static bool | readFooter (const char *fnm, IOPar &, od_stream_Pos &)
static const char * | sKeyDirectDef ()
static const char * | sKeyFileType ()
static const char * | sKeyFloatDataChar ()
static const char * | sKeyInt32DataChar ()
static const char * | sKeyInt64DataChar ()
static const char * | sKeyIOCompr ()
static const char * | sKeyNrFiles ()
static bool | updateFooter (const char *, const IOPar &, od_stream_Pos)

## Protected Member Functions
void | getPosData (PosInfo::CubeData &) const
void | getPosData (PosInfo::Line2DData &, TypeSet< float > &) const

## Protected Attributes
PosInfo::CubeData & | cubedata_
od_stream_Pos | cubedatastart_
od_stream_Pos | datastart_
uiString | errmsg_
const FileDataSet * | fds_ = nullptr
od_stream_Pos | finalparstart_
Seis::PosIndexer * | indexer_ = nullptr
od_stream_Pos | indexstart_
SEGY::PosKeyList * | keylist_ = nullptr
PosInfo::Line2DData & | linedata_
FileDataSet * | myfds_ = nullptr
IOObj::Status | objstatus_ = IOObj::Status::Unknown
od_stream_Pos | offsetstart_
od_ostream * | outstream_ = nullptr
TypeSet< float > | spnrs_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ DirectDef() [1/2]

SEGY::DirectDef::DirectDef | ( |  | ) |

Create empty.

## ◆ DirectDef() [2/2]

SEGY::DirectDef::DirectDef | ( | const char * |  | ) |

Read from file.

## ◆ ~DirectDef()

SEGY::DirectDef::~DirectDef | ( |  | ) |

## Member Function Documentation

## ◆ cubeData()

const PosInfo::CubeData & SEGY::DirectDef::cubeData | ( |  | ) | const
| inline

## ◆ errMsg()

uiString SEGY::DirectDef::errMsg | ( |  | ) | const
| inline

## ◆ fileDataSet()

const FileDataSet & SEGY::DirectDef::fileDataSet | ( |  | ) | const
| inline

## ◆ fileName()

StringView SEGY::DirectDef::fileName | ( | int | idx | ) | const

## ◆ find()

FileDataSet::TrcIdx SEGY::DirectDef::find | ( | const Seis::PosKey & | ,
|  | bool | chkoffs ) const

## ◆ findOcc()

FileDataSet::TrcIdx SEGY::DirectDef::findOcc | ( | const Seis::PosKey & | ,
|  | int | occ ) const

will not look at offset

## ◆ get2DFileName() [1/2]

static const char * SEGY::DirectDef::get2DFileName | ( | const char * | ,
|  | const char * | )
| static

## ◆ get2DFileName() [2/2]

static const char * SEGY::DirectDef::get2DFileName | ( | const char * | ,
|  | Pos::GeomID | )
| static

## ◆ getOutputStream()

od_ostream * SEGY::DirectDef::getOutputStream | ( |  | ) |
| inline

## ◆ getPosData() [1/2]

void SEGY::DirectDef::getPosData | ( | PosInfo::CubeData & |  | ) | const
| protected

## ◆ getPosData() [2/2]

void SEGY::DirectDef::getPosData | ( | PosInfo::Line2DData & | ,
|  | TypeSet< float > & | ) const
| protected

## ◆ isEmpty()

bool SEGY::DirectDef::isEmpty | ( |  | ) | const

## ◆ lineData()

const PosInfo::Line2DData & SEGY::DirectDef::lineData | ( |  | ) | const
| inline

## ◆ objStatus()

IOObj::Status SEGY::DirectDef::objStatus | ( |  | ) | const
| inline

## ◆ readFooter()

static bool SEGY::DirectDef::readFooter | ( | const char * | fnm,
|  | IOPar & | ,
|  | od_stream_Pos & | )
| static

Reads the Footer into an IOPar

## ◆ readFromFile()

bool SEGY::DirectDef::readFromFile | ( | const char * |  | ) |

## ◆ segyPars()

const IOPar * SEGY::DirectDef::segyPars | ( |  | ) | const

## ◆ setData()

void SEGY::DirectDef::setData | ( | FileDataSet & |  | ) |

## ◆ sKeyDirectDef()

static const char * SEGY::DirectDef::sKeyDirectDef | ( |  | ) |
| static

## ◆ sKeyFileType()

static const char * SEGY::DirectDef::sKeyFileType | ( |  | ) |
| static

## ◆ sKeyFloatDataChar()

static const char * SEGY::DirectDef::sKeyFloatDataChar | ( |  | ) |
| static

## ◆ sKeyInt32DataChar()

static const char * SEGY::DirectDef::sKeyInt32DataChar | ( |  | ) |
| static

## ◆ sKeyInt64DataChar()

static const char * SEGY::DirectDef::sKeyInt64DataChar | ( |  | ) |
| static

## ◆ sKeyIOCompr()

static const char * SEGY::DirectDef::sKeyIOCompr | ( |  | ) |
| static

## ◆ sKeyNrFiles()

static const char * SEGY::DirectDef::sKeyNrFiles | ( |  | ) |
| static

## ◆ spnrs()

const TypeSet< float > & SEGY::DirectDef::spnrs | ( |  | ) | const
| inline

## ◆ updateFooter()

static bool SEGY::DirectDef::updateFooter | ( | const char * | ,
|  | const IOPar & | ,
|  | od_stream_Pos | )
| static

Updates the Footer IOPar in an existing def file

## ◆ writeFootersToFile()

bool SEGY::DirectDef::writeFootersToFile | ( |  | ) |

After fds has been dumped, write the remainder of the file

## ◆ writeHeadersToFile()

bool SEGY::DirectDef::writeHeadersToFile | ( | const char * |  | ) |

Write the headers. After calling, the fds should be dumped into the stream.

## Member Data Documentation

## ◆ cubedata_

PosInfo::CubeData& SEGY::DirectDef::cubedata_
| protected

## ◆ cubedatastart_

od_stream_Pos SEGY::DirectDef::cubedatastart_
| protected

## ◆ datastart_

od_stream_Pos SEGY::DirectDef::datastart_
| protected

## ◆ errmsg_

uiString SEGY::DirectDef::errmsg_
| mutable protected

## ◆ fds_

const FileDataSet* SEGY::DirectDef::fds_ = nullptr
| protected

## ◆ finalparstart_

od_stream_Pos SEGY::DirectDef::finalparstart_
| protected

## ◆ indexer_

Seis::PosIndexer* SEGY::DirectDef::indexer_ = nullptr
| protected

## ◆ indexstart_

od_stream_Pos SEGY::DirectDef::indexstart_
| protected

## ◆ keylist_

SEGY::PosKeyList* SEGY::DirectDef::keylist_ = nullptr
| protected

## ◆ linedata_

PosInfo::Line2DData& SEGY::DirectDef::linedata_
| protected

## ◆ myfds_

FileDataSet* SEGY::DirectDef::myfds_ = nullptr
| protected

## ◆ objstatus_

IOObj::Status SEGY::DirectDef::objstatus_ = IOObj::Status::Unknown
| mutable protected

## ◆ offsetstart_

od_stream_Pos SEGY::DirectDef::offsetstart_
| protected

## ◆ outstream_

od_ostream* SEGY::DirectDef::outstream_ = nullptr
| protected

## ◆ spnrs_

TypeSet<float> SEGY::DirectDef::spnrs_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025